<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" type="topic" style="problem" id="music-cantplay-drm" xml:lang="pa">
  <info>
    <link type="guide" xref="media#music"/>


    <credit type="author">
      <name>ਗਨੋਮ ਦਸਤਾਵੇਜ਼ ਪ੍ਰੋਜੈਕਟ</name>
      <email>gnome-doc-list@gnome.org</email>
    </credit>

    <desc>Support for that file format might not be installed or the songs could be “copy protected”.</desc>
    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>
  </info>

<title>I can’t play the songs I bought from an online music store</title>

<p>If you downloaded some music from an online store you may find that it won’t play on your computer, especially if you bought it on a Windows or Mac OS computer and then copied it over.</p>

<p>This could be because the music is in a format that is not recognized by your computer. To be able to play a song you need to have support for the right audio formats installed — for example, if you want to play MP3 files, you need MP3 support installed. If you don’t have support for a given audio format, you should see a message telling you so when you try to play a song. The message should also provide instructions for how to install support for that format so that you can play it.</p>

<p>If you do have support installed for the song’s audio format but still can’t play it, the song might be <em>copy protected</em> (also known as being <em>DRM restricted</em>). DRM is a way of restricting who can play a song and on what devices they can play it. The company that sold the song to you is in control of this, not you. If a music file has DRM restrictions, you will probably not be able to play it — you generally need special software from the vendor to play DRM restricted files, but this software is often not supported on Linux.</p>

<p>You can learn more about DRM from the <link href="https://www.eff.org/issues/drm">Electronic Frontier Foundation</link>.</p>

</page>
